Hi all,
this is a port of GNU Awk 3.0 to Atari.

Included in this archive are the original README files, man pages,
Makefiles, Awk Lib, and executables.  Documentation in info and
dvi format of several hundred pages is included in another archive
`gawk300d.zoo'.  Sources can be found on any ftp-server.

The executables have been built using gcc 2.5.8 (32-bit, no -mbaserel),
MiNT lib pl46 and pml pl23.

Stacksize is 1/4 of available memory, but this may be changed by means
of fixstk.

Because Atari specific modifications are already taken into account within
the original sources (see README.atari), there wasn't much left to do.
There are no diffs for the main sources, but I've changed the port specific
files in `atari/' a bit.

The only difference between mgawk.ttp and tgawk.ttp: tgawk.ttp has been
compiled with -DPIPES_SIMULATED (for TOS and MagiC), mgawk.ttp without.

Choose the one you like and rename it to [g]awk[.ttp].

Gawk is configured to search for *.awk files in ".:/usr/lib/awk:/usr/lib"
by default.  If you don't like this, you can specify the pathnames to search
for by the environment variable AWKPATH, which must contain colon-separated
UNIX-style pathnames.  Note this is unlike the original Atari port, where
AWKPATH must contain DOS-style pathnames and ',' is used as the separator,
but I think the UNIX-style is more consistent with e.g. lib files, which
use the colon as the path separator for AWKPATH and would have to be modified
otherwise.  Other pathnames than that can be given in UNIX- or DOS-style.

Copy the library files `awklib/group.awk', `awklib/passwd.awk' and
`awklib/eg/lib/*' in one of the directories mentioned in AWKPATH (or in one
of the default directories).  The programs `pwcat.ttp' and `grcat.ttp' may
also be copied in this directory; in any case you have to adjust the path
of these programs in `group.awk' and `passwd.awk'.  The shell script `igawk'
can be copied in a directory, where it is found as an executable (and don't
forget to chmod +x it).  The library functions and the Awk programs in 
`awklib/eg/prog/' are described in the documentation.

The executables have passed all tests with some minor exceptions due to
system specific limitations and should therefore be OK.  As mentioned in
the documentation TOS has some redirection bugs (e.g. Fdup on an already
redirected stdin with subsequent Pexec), which may lock up the system.
E.g. `childin.awk' of the test suite leads to ...SYSTEM HALTED under
plain TOS 2.06 (it works under MiNT).



holgerkl@cs.tu-berlin.de

Holger Kleinschmidt
Promenadenstr. 11 B
D-12207 Berlin

Germany
